org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table

## Interface TableFactory

    public interface TableFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `TablePackage`
Generated:

### Field Summary

Fields
`static TableFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`EObjectQueryRow` `createEObjectQueryRow()` Returns a new object of class 'EObject Query Row'.
`FeatureColumn` `createFeatureColumn()` Returns a new object of class 'Feature Column'.
`NavigationTable` `createNavigationTable()` Returns a new object of class 'Navigation Table'.
`PrimitiveTypeQueryRow` `createPrimitiveTypeQueryRow()` Returns a new object of class 'Primitive Type Query Row'.
`Row` `createRow()` Returns a new object of class 'Row'.
`SourceColumn` `createSourceColumn()` Returns a new object of class 'Source Column'.
`Table` `createTable()` Returns a new object of class 'Table'.
`ValueColumn` `createValueColumn()` Returns a new object of class 'Value Column'.
`TablePackage` `getTablePackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final TableFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createTable

    Table createTable()

Returns a new object of class 'Table'.

Returns:
  a new object of class 'Table'.
Generated:

#### createNavigationTable

    NavigationTable createNavigationTable()

Returns a new object of class 'Navigation Table'.

Returns:
  a new object of class 'Navigation Table'.
Generated:

#### createSourceColumn

    SourceColumn createSourceColumn()

Returns a new object of class 'Source Column'.

Returns:
  a new object of class 'Source Column'.
Generated:

#### createFeatureColumn

    FeatureColumn createFeatureColumn()

Returns a new object of class 'Feature Column'.

Returns:
  a new object of class 'Feature Column'.
Generated:

#### createRow

    Row createRow()

Returns a new object of class 'Row'.

Returns:
  a new object of class 'Row'.
Generated:

#### createPrimitiveTypeQueryRow

    PrimitiveTypeQueryRow createPrimitiveTypeQueryRow()

Returns a new object of class 'Primitive Type Query Row'.

Returns:
  a new object of class 'Primitive Type Query Row'.
Generated:

#### createEObjectQueryRow

    EObjectQueryRow createEObjectQueryRow()

Returns a new object of class 'EObject Query Row'.

Returns:
  a new object of class 'EObject Query Row'.
Generated:

#### createValueColumn

    ValueColumn createValueColumn()

Returns a new object of class 'Value Column'.

Returns:
  a new object of class 'Value Column'.
Generated:

#### getTablePackage

    TablePackage getTablePackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: